Page MenuHomeFreeBSD

x86/xen: remove PVHv1 code
ClosedPublic

Authored by royger on May 12 2021, 11:53 AM.

Details

Summary

PVHv1 was officially removed from Xen in 4.9, so just axe the related
code from FreeBSD.

Note FreeBSD supports PVHv2, which is the replacement for PVHv1.

Sponsored by: Citrix Systems R&D

Diff Detail

Repository
R10 FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

This revision is now accepted and ready to land.May 12 2021, 12:59 PM

This isn't quite what I had expected, I was expecting more of cfa0b7b82fbdda56d7160569def5c6133eb045aa to be reverted. That though appears to have been done in a separate commit which isn't here.

sys/x86/xen/xen_intr.c
116–117

I believe the one and only usage of XEN_EEXIST is the if statement on line 1185. As such I would suggest removing this #define of XEN_EEXIST due to the removal of line 1185.

276

vector is now being unconditionally set below and the passed-in value ignored. As such vector should be a local variable instead of being an argument.

385

This is the only call to xen_intr_alloc_isrc() which remains. The second argument should be removed (since it is now ignored). Since this was the only use of XEN_ALLOCATE_VECTOR, that in turn allows removal of XEN_ALLOCATE_VECTOR.

This isn't quite what I had expected, I was expecting more of cfa0b7b82fbdda56d7160569def5c6133eb045aa to be reverted. That though appears to have been done in a separate commit which isn't here.

Yes, this was done by @mhorne, I have his patches as prereqs to this one. There's also more that can be removed from ELFNOTES. I've fixed the now redundant stuff that you pointer out. Thanks for the review.

Address comments from Elliott.

This revision now requires review to proceed.May 14 2021, 10:11 AM

This causes a whole bunch of #if defined(__amd64__) || defined(__i386__)/#endif pairs to disappear from unsubmitted commits. For my attempts at getting FreeBSD/ARM operational on Xen/ARM this is a noticeable improvement.

This revision is now accepted and ready to land.May 15 2021, 2:05 AM
This revision was automatically updated to reflect the committed changes.